commit:     66ab94eadd0480d2fe736da7df927cd2cc9832ee
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 29 11:44:44 2017 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Sun Jan 29 11:44:56 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66ab94ea

x11-misc/qcomicbook: Version bump (bug 607536, thanks consus <AT> gmx.com), 
update SRC_URI.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 x11-misc/qcomicbook/Manifest                |  1 +
 x11-misc/qcomicbook/qcomicbook-0.9.1.ebuild | 59 +++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/x11-misc/qcomicbook/Manifest b/x11-misc/qcomicbook/Manifest
index 97abe71..bed4a99 100644
--- a/x11-misc/qcomicbook/Manifest
+++ b/x11-misc/qcomicbook/Manifest
@@ -1 +1,2 @@
 DIST qcomicbook-0.9.0.tar.gz 738514 SHA256 
8e36f94d7b55798258b6df085324da150b0983020853eb270992157e9692abcb SHA512 
e3df724d851822a1d7e72fd6a9fc3b14d5d406d97e0098ddd07a6329a3fe98cc8aa5e77d071f98399d60f231bd0d6dd17ab995aa5e784171aa69fa3fd1ce861b
 WHIRLPOOL 
93234e38c3a589139e305497aaef6d70ffdd09c9fd7fa71e39287dbd3e37dd3a7831b549bf53a72bb3193ca29fd353c282af1a80554de838cbd26265bd23b578
+DIST qcomicbook-0.9.1.tar.gz 739887 SHA256 
39bb6ba0e20569985c930b0e8bdb19ae9c5453f27e9f7c01c6d44f56fb204619 SHA512 
87bd983c4442e220f1bc463e54e0ea583cddbc6becd9eec64801dc5e7e061cdac5805cba83167685ab454e41fcce329fa399d622d7f588940bf057ce4b1f423d
 WHIRLPOOL 
2acebceb33ae273ce7cc7868dcde0cd20fde65a36d972719c995c3bb7fdecec4da06b5ae27c0d660e0d0043a5bf178effcfe518aa8fbdc2597cdc4297499797f

diff --git a/x11-misc/qcomicbook/qcomicbook-0.9.1.ebuild 
b/x11-misc/qcomicbook/qcomicbook-0.9.1.ebuild
new file mode 100644
index 00000000..ec6e6aa
--- /dev/null
+++ b/x11-misc/qcomicbook/qcomicbook-0.9.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+CMAKE_IN_SOURCE_BUILD=1
+PLOCALES="cs_CZ de_DE es_ES fi_FI fr_CA fr_FR it_IT ko_KR nl_NL pl_PL pt_BR 
ru_RU uk_UA zh_CN"
+inherit cmake-utils flag-o-matic l10n vcs-snapshot
+
+DESCRIPTION="A viewer for comic book archives containing jpeg/png images"
+HOMEPAGE="http://qcomicbook.org/";
+SRC_URI="https://github.com/stolowski/QComicBook/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug"
+
+DEPEND="app-text/poppler[qt5]
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtprintsupport:5
+       dev-qt/qtwidgets:5
+       dev-qt/qtx11extras"
+RDEPEND="${DEPEND}"
+
+DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO )
+
+src_prepare() {
+       rm_loc() {
+               rm "i18n/${PN}_${1}.ts" || die "removing ${1} locale failed"
+       }
+       rm "i18n/${PN}_en_EN.ts" || die 'removing redundant english locale 
failed'
+       l10n_find_plocales_changes "i18n" "${PN}_" ".ts"
+       l10n_for_each_disabled_locale_do rm_loc
+
+       # fix desktop file
+       sed -i \
+               -e '/^Encoding/d' \
+               -e '/^Icon/s/.png//' \
+               -e '/^Categories/s/Application;//' \
+               "data/${PN}.desktop" || die 'sed on desktop file failed'
+
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       use !debug && append-cppflags -DQT_NO_DEBUG_OUTPUT
+       cmake-utils_src_configure
+}
+
+pkg_postinst() {
+       elog "For using QComicBook with compressed archives you may want to 
install:"
+       elog "    app-arch/p7zip"
+       elog "    app-arch/unace"
+       elog "    app-arch/unrar or app-arch/rar"
+       elog "    app-arch/unzip"
+}

Reply via email to